# operator==,!=,<,<=,>,>=(std::thread::id)

From cppreference.com
< cpp‎ | thread‎ | thread‎ | id

bool operator==( thread::id lhs, thread::id rhs ) noexcept; | (1) | (since C++11)
bool operator!=( thread::id lhs, thread::id rhs ) noexcept; | (2) | (since C++11)
bool operator<( thread::id lhs, thread::id rhs ) noexcept; | (3) | (since C++11)
bool operator<=( thread::id lhs, thread::id rhs ) noexcept; | (4) | (since C++11)
bool operator>( thread::id lhs, thread::id rhs ) noexcept; | (5) | (since C++11)
bool operator>=( thread::id lhs, thread::id rhs ) noexcept; | (6) | (since C++11)

Compares two thread identifiers.

1-2) Checks whether `lhs` and `rhs` represent either the same thread, or no thread.
3-6) Compares `lhs` and `rhs` in such a way, that `lhs` and `rhs` are totally ordered.

### Parameters

lhs, rhs | - | thread identifiers to compare

### Return value

true if the corresponding relation holds, `false` otherwise.

### Complexity

Constant.

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/thread/id/operator_cmp&oldid=104239"